diff --git a/tools/trixie/installtools.sh b/tools/trixie/installtools.sh
index 9ecdf688..40780946 100755
--- a/tools/trixie/installtools.sh
+++ b/tools/trixie/installtools.sh
@@ -42,33 +42,30 @@ if [ "$OMIT_MANUAL" != 1 ]; then
                         echo "ERROR: Unable to copy installer documentation to CD."
                     fi
                 else
                     echo "ERROR: installation-guide package not unpacked correctly."
                fi
             else
                 echo "ERROR: package installation-guide-$ARCH not found."
             fi
 		fi
 	done
 fi
 
 if [ "$OMIT_RELEASE_NOTES"x = "1"x ]; then
 	echo "  Omitting release notes, as requested"
 else
-	for ARCH in $ARCHES
-	do
 		if [ $ARCH != source ] ; then
 			RN=$DIR/doc/release-notes
 			mkdir -p $RN
 			cd $RN
-			echo "  Downloading most recent release notes for $ARCH"
-			$WGET $RELEASE_NOTES_LOCATION/release-notes-$ARCH.tar.gz
-			if [ -e release-notes-$ARCH.tar.gz ] ; then
-				tar xzvf release-notes-$ARCH.tar.gz
-				rm -f release-notes-$ARCH.tar.gz
+			echo "  Downloading most recent release notes"
+			$WGET $RELEASE_NOTES_LOCATION/release-notes.tar.gz
+			if [ -e release-notes.tar.gz ] ; then
+				tar xzvf release-notes.tar.gz
+				rm -f release-notes.tar.gz
 				rm -f */*.ps
 			else
-				echo "    No release notes found at $RELEASE_NOTES_LOCATION/release-notes-$ARCH.tar.gz"
+				echo "    No release notes found at $RELEASE_NOTES_LOCATION/release-notes.tar.gz"
 			fi
 		fi
-	done
 fi
